E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
gaddress.h File Reference
`#include "gdef.h"`
`#include "gstrings.h"`
`#include "gexception.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::Address
| The GNet::Address class encapsulates a TCP/UDP transport address. More...
class | GNet::Address::Family
| A type-safe enumerator for IP address family. More...
class | GNet::AddressStorage
| A helper class for calling accept(), getsockname() and getpeername() and hiding the definition of sockaddr_storage. More...

## Namespaces
| GNet
| Network classes.

## Functions
int | GNet::inet_pton_imp (int f, const char *p, void *result)
const char * | GNet::inet_ntop_imp (int f, void *ap, char *buffer, size_t n)